org.apache.maven.plugin.install

## Class InstallMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.maven.plugin.install.AbstractInstallMojo
    - - org.apache.maven.plugin.install.InstallMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    @Mojo(name="install",
          defaultPhase=INSTALL,
          threadSafe=true)
    public class InstallMojo
    extends AbstractInstallMojo

Installs the project's main artifact, and any other artifacts attached by other plugins in the lifecycle, to the local repository.

Version:
  $Id: InstallMojo.java 1358784 2012-07-08 17:08:57Z olamy $
Author:
  Emmanuel Venisse

### Field Summary

Fields
`protected String` `packaging`

### Fields inherited from class org.apache.maven.plugin.install.AbstractInstallMojo

`artifactFactory, createChecksum, installer, localRepository, md5Digester, sha1Digester, updateReleaseInfo`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`InstallMojo()`

### Method Summary

Methods
`void` `execute()`
`void` `setSkip(boolean skip)`

### Methods inherited from class org.apache.maven.plugin.install.AbstractInstallMojo

`getLocalRepoFile, getLocalRepoFile, installChecksums, installChecksums`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### packaging

    @Parameter(defaultValue="${project.packaging}",
               required=true,
               readonly=true)
    protected String packaging

### Constructor Detail

#### InstallMojo

    public InstallMojo()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`

#### setSkip

    public void setSkip(boolean skip)